* * *

Author Topic: SQLDBLibraryLoader + MySQL 5.7 := :(  (Read 697 times)

Trenatos

  • Full Member
  • ***
  • Posts: 242
SQLDBLibraryLoader + MySQL 5.7 := :(
« on: September 24, 2017, 01:10:01 am »
I'm trying to connect to a local instance of MySQL 5.7 (Docker image)

Step one, get the driver loaded using SQLDBLibraryLoader.

I specify connection type MySQL 5.7, it expects libmysqlclient.dylib.20, I got it by downloading mysql 5.7 and grabbed it from the lib directory.

I specify it in the LibraryName section (Full path)

But when I hit Enabled, I get this error: "Can not load MySQL library <path to my dylib>. Please check your installation"

I'm on OSX El Capitan.

Anyone else have issues, or have figured it out?

Leledumbo

  • Hero Member
  • *****
  • Posts: 7803
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: SQLDBLibraryLoader + MySQL 5.7 := :(
« Reply #1 on: September 25, 2017, 12:16:49 pm »
Check bitness of everything, all must agree to the same bitness.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus